/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.common.beans;

/**
 * @author DNS   KATIKM holds the display label message key and old and the new values of the field for the Change
 *         event
 */
public class FormattingTableRow extends TableRow
{
    private static final long serialVersionUID = 8731368798106124413L;
    
    private String title = null;
    private Boolean disableColorChange = null;
    private boolean forceColorChange = false;
    private boolean subTitle = false;

    public FormattingTableRow()
    {
        super(true);
    }

    public FormattingTableRow(String title)
    {
        super(true);
        this.title = title;
    }

    public FormattingTableRow(String title, boolean subTitle)
    {
        super(true);
        this.title = title;
        this.subTitle = subTitle;
    }
    
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }

    public Boolean getDisableColorChange()
    {
        return disableColorChange;
    }

    public void setDisableColorChange(Boolean disableColorChange)
    {
        this.disableColorChange = disableColorChange;
    }

    public boolean getForceColorChange()
    {
        return forceColorChange;
    }

    public void setForceColorChange(boolean forceColorChange)
    {
        this.forceColorChange = forceColorChange;
    }
    
	public boolean isSubTitle() {
		return subTitle;
	}
	public void setSubTitle(boolean subTitle) {
		this.subTitle = subTitle;
	}
}
